Bug 1031853 - [RFE][Beaker] checksum the hardware when inventory job is run
[RFE][Beaker] checksum the hardware when inventory job is run
Status: NEW
Product: Beaker
Classification: Community
Component: inventory (Show other bugs)
0.15
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: beaker-dev-list
tools-bugs
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 19:54 EST by Jeff Burke
Modified: 2016-07-09 00:16 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Burke 2013-11-18 19:54:31 EST
To ensure/verify hardware has not changed between jobs runs. We would like the system to submit a checksum value when inventory is run. It should be a setting based on the hardware and BIOS.
Comment 2 Dan Callaghan 2013-11-19 17:17:20 EST
What is the purpose of the checksum? What is Beaker supposed to do with the value?

Beaker already stores the hash of the inventory data every time it is submitted, and also updates the Last Modified field. Of course that doesn't tell you if there is a change in hardware which the inventory script does not detect, but I'm not sure how Beaker is supposed to checksum hardware that it doesn't know exists...
Comment 3 Jiri Hladky 2013-11-20 04:50:46 EST
Hi Dan,

we do run performance testing in Beaker. We need to know when a BIOS version/ Firmware version/BIOS settings are changed so that we know that we need to rerun our baseline and performance changes are related to the HW setup and not to RHEL.

For this we would like to have hardware checksums to Beaker inventory. Then 
record the checksum at the start of the testing (with Beaker task). Then when you compare your results you would know if the hardware had been changed between now and the last time the tests were run.

checksum should capture:
Firmware version
BIOS version
HW changes
ideally BIOS settings as well

I think it's fine when checksum is changed by eng-ops whenever once of the items above is changed and stored in Beaker system. Then we need a Beaker task to read the value from the Beaker system.

Does it make sense to you? Please let us know if you need more details or would like to setup a conference call to discuss the technical possibilities.

Thank you
Jirka
Comment 4 Jiri Hladky 2013-11-20 04:53:42 EST
Hi Dan,

reading the comment #2:

===============================================================
Beaker already stores the hash of the inventory data every time it is submitted, and also updates the Last Modified field. 
===============================================================

This is definitely a way to start. Is there a way to get these data from the Beaker job? Is there a Beaker task to read the values? If not, could you implement it?

Thank you!
Jirka

Note You need to log in before you can comment on or make changes to this bug.